Skip to content

List all risk rules

Request

Beta
OAuth 2.0 scope:
  • okta.governance.riskRule.read
Admin roles:
  • APP_ADMIN

Lists all risk rules

Query
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
filterstring, (scim-filter)

A filter expression that returns entries based on the resourceOrn and name properties and supports the following operators:

  • eq operator for the resourceOrn property
  • sw and co operator for the name property

Note: Query parameter percent encoding is required. See Special characters.

Example:filter=name sw "Process"
Examples:
Search for risk rules with a name that begins with "Process"
filter=name sw "Process"
Search for risk rules with a name that contains "Process"
filter=name co "Process"
Search for risk rules with a specific resource ORN
filter=resourceOrn eq "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:oidc:0oafxqCAJWWGELFTYASJ"
GET
/governance/api/v1/risk-rules
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/risk-rules?limit=20&after=00u68w6vzKLultXS97g6&filter=name%20sw%20%22Process%22'

Responses

Risk rules retrieved successfully

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(risk-rule-response)

All risk rules on the current page

metadataobject(list-metadata)

Metadata for the list response

Response
{ "data": [ {} ], "_links": { "self": {}, "next": {} }, "metadata": { "total": 10 } }